net.dontdrinkandroot.wicket.bootstrap.behavior

## Class DisabledCssBehavior

- java.lang.Object
- - org.apache.wicket.behavior.Behavior
  - - net.dontdrinkandroot.wicket.bootstrap.behavior.DisabledCssBehavior

All Implemented Interfaces:
  Serializable, org.apache.wicket.IComponentAwareEventSink, org.apache.wicket.markup.html.IComponentAwareHeaderContributor, org.apache.wicket.util.io.IClusterable

    public class DisabledCssBehavior
    extends org.apache.wicket.behavior.Behavior

Adds `BootstrapCssClass.DISABLED` to the class attribute of components that are not enabled in hierarchy.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DisabledCssBehavior()`

### Method Summary

Methods
`void` `onComponentTag(org.apache.wicket.Component component, org.apache.wicket.markup.ComponentTag tag)`

### Methods inherited from class org.apache.wicket.behavior.Behavior

`afterRender, beforeRender, bind, canCallListenerInterface, detach, getStatelessHint, isEnabled, isTemporary, onConfigure, onEvent, onException, renderHead, unbind`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DisabledCssBehavior

    public DisabledCssBehavior()

### Method Detail

#### onComponentTag

    public void onComponentTag(org.apache.wicket.Component component,
                      org.apache.wicket.markup.ComponentTag tag)

Overrides:
  `onComponentTag` in class `org.apache.wicket.behavior.Behavior`